
%global meadversion 1.1.0
%global namedversion 1.1.0.SP17-redhat-1
%global meadalpha .SP17_redhat_1
%global meadrel .1
%global serial 14
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}activemq-artemis}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.1.0.SP17-redhat-1

Name:           %{?scl_prefix}activemq-artemis
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        ActiveMQ Artemis
Group:          Development/Java

%if %with mead
Source100: artemis-pom-1.1.0.SP17-redhat-1-scm-sources.zip
Source102: timing-tests-1.1.0.SP17-redhat-1.pom
Source103: timing-tests-1.1.0.SP17-redhat-1.jar
Source104: apache-artemis-1.1.0.SP17-redhat-1-bin.tar.gz
Source105: apache-artemis-1.1.0.SP17-redhat-1-bin.zip
Source106: apache-artemis-1.1.0.SP17-redhat-1.pom
Source107: apache-artemis-1.1.0.SP17-redhat-1-source-release.zip
Source108: apache-artemis-1.1.0.SP17-redhat-1-source-release.tar.gz
Source109: artemis-core-client-1.1.0.SP17-redhat-1-javadoc.jar
Source110: artemis-core-client-1.1.0.SP17-redhat-1.pom
Source111: artemis-core-client-1.1.0.SP17-redhat-1.jar
Source112: artemis-core-client-1.1.0.SP17-redhat-1-sources.jar
Source113: artemis-core-client-1.1.0.SP17-redhat-1-tests.jar
Source114: artemis-hornetq-protocol-1.1.0.SP17-redhat-1-sources.jar
Source115: artemis-hornetq-protocol-1.1.0.SP17-redhat-1.pom
Source116: artemis-hornetq-protocol-1.1.0.SP17-redhat-1-javadoc.jar
Source117: artemis-hornetq-protocol-1.1.0.SP17-redhat-1.jar
Source118: artemis-openwire-protocol-1.1.0.SP17-redhat-1-sources.jar
Source119: artemis-openwire-protocol-1.1.0.SP17-redhat-1-javadoc.jar
Source120: artemis-openwire-protocol-1.1.0.SP17-redhat-1.pom
Source121: artemis-openwire-protocol-1.1.0.SP17-redhat-1.jar
Source122: artemis-journal-1.1.0.SP17-redhat-1.jar
Source123: artemis-journal-1.1.0.SP17-redhat-1-sources.jar
Source124: artemis-journal-1.1.0.SP17-redhat-1-javadoc.jar
Source125: artemis-journal-1.1.0.SP17-redhat-1.pom
Source126: performance-tests-1.1.0.SP17-redhat-1.jar
Source127: performance-tests-1.1.0.SP17-redhat-1.pom
Source128: artemis-mqtt-protocol-1.1.0.SP17-redhat-1.pom
Source129: artemis-mqtt-protocol-1.1.0.SP17-redhat-1-sources.jar
Source130: artemis-mqtt-protocol-1.1.0.SP17-redhat-1.jar
Source131: artemis-mqtt-protocol-1.1.0.SP17-redhat-1-javadoc.jar
Source132: artemis-aerogear-integration-1.1.0.SP17-redhat-1.pom
Source133: artemis-aerogear-integration-1.1.0.SP17-redhat-1-javadoc.jar
Source134: artemis-aerogear-integration-1.1.0.SP17-redhat-1-sources.jar
Source135: artemis-aerogear-integration-1.1.0.SP17-redhat-1.jar
Source136: artemis-pom-1.1.0.SP17-redhat-1-javadoc.jar
Source137: artemis-pom-1.1.0.SP17-redhat-1.pom
Source138: artemis-pom-1.1.0.SP17-redhat-1-project-sources.tar.gz
Source139: artemis-server-1.1.0.SP17-redhat-1.pom
Source140: artemis-server-1.1.0.SP17-redhat-1-tests.jar
Source141: artemis-server-1.1.0.SP17-redhat-1-javadoc.jar
Source142: artemis-server-1.1.0.SP17-redhat-1-sources.jar
Source143: artemis-server-1.1.0.SP17-redhat-1.jar
Source144: stress-tests-1.1.0.SP17-redhat-1.pom
Source145: stress-tests-1.1.0.SP17-redhat-1.jar
Source146: artemis-boot-1.1.0.SP17-redhat-1.pom
Source147: artemis-boot-1.1.0.SP17-redhat-1-javadoc.jar
Source148: artemis-boot-1.1.0.SP17-redhat-1.jar
Source149: artemis-boot-1.1.0.SP17-redhat-1-sources.jar
Source150: integration-tests-1.1.0.SP17-redhat-1-tests.jar
Source151: integration-tests-1.1.0.SP17-redhat-1.jar
Source152: integration-tests-1.1.0.SP17-redhat-1.pom
Source153: artemis-selector-1.1.0.SP17-redhat-1-sources.jar
Source154: artemis-selector-1.1.0.SP17-redhat-1-javadoc.jar
Source155: artemis-selector-1.1.0.SP17-redhat-1.pom
Source156: artemis-selector-1.1.0.SP17-redhat-1.jar
Source157: artemis-proton-plug-1.1.0.SP17-redhat-1.pom
Source158: artemis-proton-plug-1.1.0.SP17-redhat-1-javadoc.jar
Source159: artemis-proton-plug-1.1.0.SP17-redhat-1.jar
Source160: artemis-proton-plug-1.1.0.SP17-redhat-1-sources.jar
Source161: artemis-tests-pom-1.1.0.SP17-redhat-1.pom
Source162: unit-tests-1.1.0.SP17-redhat-1-tests.jar
Source163: unit-tests-1.1.0.SP17-redhat-1.jar
Source164: unit-tests-1.1.0.SP17-redhat-1.pom
Source165: artemis-cli-1.1.0.SP17-redhat-1.pom
Source166: artemis-cli-1.1.0.SP17-redhat-1.jar
Source167: artemis-cli-1.1.0.SP17-redhat-1-javadoc.jar
Source168: artemis-cli-1.1.0.SP17-redhat-1-sources.jar
Source169: artemis-stomp-protocol-1.1.0.SP17-redhat-1-javadoc.jar
Source170: artemis-stomp-protocol-1.1.0.SP17-redhat-1.jar
Source171: artemis-stomp-protocol-1.1.0.SP17-redhat-1.pom
Source172: artemis-stomp-protocol-1.1.0.SP17-redhat-1-sources.jar
Source173: jms-tests-1.1.0.SP17-redhat-1-tests.jar
Source174: jms-tests-1.1.0.SP17-redhat-1.jar
Source175: jms-tests-1.1.0.SP17-redhat-1.pom
Source176: artemis-native-1.1.0.SP17-redhat-1.pom
Source177: artemis-native-1.1.0.SP17-redhat-1-sources.jar
Source178: artemis-native-1.1.0.SP17-redhat-1.jar
Source179: artemis-native-1.1.0.SP17-redhat-1-javadoc.jar
Source180: artemis-jms-client-1.1.0.SP17-redhat-1.pom
Source181: artemis-jms-client-1.1.0.SP17-redhat-1-javadoc.jar
Source182: artemis-jms-client-1.1.0.SP17-redhat-1-sources.jar
Source183: artemis-jms-client-1.1.0.SP17-redhat-1.jar
Source184: soak-tests-1.1.0.SP17-redhat-1.jar
Source185: soak-tests-1.1.0.SP17-redhat-1.pom
Source186: artemis-website-1.1.0.SP17-redhat-1.jar
Source187: artemis-website-1.1.0.SP17-redhat-1-sources.jar
Source188: artemis-website-1.1.0.SP17-redhat-1.pom
Source189: artemis-website-1.1.0.SP17-redhat-1-javadoc.jar
Source190: artemis-amqp-protocol-1.1.0.SP17-redhat-1.pom
Source191: artemis-amqp-protocol-1.1.0.SP17-redhat-1.jar
Source192: artemis-amqp-protocol-1.1.0.SP17-redhat-1-sources.jar
Source193: artemis-amqp-protocol-1.1.0.SP17-redhat-1-javadoc.jar
Source194: artemis-protocols-1.1.0.SP17-redhat-1.pom
Source195: artemis-hqclient-protocol-1.1.0.SP17-redhat-1.jar
Source196: artemis-hqclient-protocol-1.1.0.SP17-redhat-1.pom
Source197: artemis-hqclient-protocol-1.1.0.SP17-redhat-1-sources.jar
Source198: artemis-hqclient-protocol-1.1.0.SP17-redhat-1-javadoc.jar
Source199: artemis-jms-server-1.1.0.SP17-redhat-1-javadoc.jar
Source200: artemis-jms-server-1.1.0.SP17-redhat-1-sources.jar
Source201: artemis-jms-server-1.1.0.SP17-redhat-1.jar
Source202: artemis-jms-server-1.1.0.SP17-redhat-1.pom
Source203: artemis-dto-1.1.0.SP17-redhat-1.pom
Source204: artemis-dto-1.1.0.SP17-redhat-1-sources.jar
Source205: artemis-dto-1.1.0.SP17-redhat-1.jar
Source206: artemis-dto-1.1.0.SP17-redhat-1-javadoc.jar
Source207: artemis-vertx-integration-1.1.0.SP17-redhat-1-javadoc.jar
Source208: artemis-vertx-integration-1.1.0.SP17-redhat-1.jar
Source209: artemis-vertx-integration-1.1.0.SP17-redhat-1-sources.jar
Source210: artemis-vertx-integration-1.1.0.SP17-redhat-1.pom
Source211: artemis-ra-1.1.0.SP17-redhat-1.pom
Source212: artemis-ra-1.1.0.SP17-redhat-1.jar
Source213: artemis-ra-1.1.0.SP17-redhat-1-sources.jar
Source214: artemis-ra-1.1.0.SP17-redhat-1-javadoc.jar
Source215: artemis-service-extensions-1.1.0.SP17-redhat-1.jar
Source216: artemis-service-extensions-1.1.0.SP17-redhat-1-javadoc.jar
Source217: artemis-service-extensions-1.1.0.SP17-redhat-1-sources.jar
Source218: artemis-service-extensions-1.1.0.SP17-redhat-1.pom
Source219: artemis-rest-1.1.0.SP17-redhat-1.pom
Source220: artemis-rest-1.1.0.SP17-redhat-1-sources.jar
Source221: artemis-rest-1.1.0.SP17-redhat-1-javadoc.jar
Source222: artemis-rest-1.1.0.SP17-redhat-1.jar
Source223: artemis-web-1.1.0.SP17-redhat-1-sources.jar
Source224: artemis-web-1.1.0.SP17-redhat-1.jar
Source225: artemis-web-1.1.0.SP17-redhat-1.pom
Source226: artemis-web-1.1.0.SP17-redhat-1-javadoc.jar
Source227: artemis-commons-1.1.0.SP17-redhat-1.pom
Source228: artemis-commons-1.1.0.SP17-redhat-1-sources.jar
Source229: artemis-commons-1.1.0.SP17-redhat-1.jar
Source230: artemis-commons-1.1.0.SP17-redhat-1-javadoc.jar
Source231: joram-tests-1.1.0.SP17-redhat-1-tests.jar
Source232: joram-tests-1.1.0.SP17-redhat-1.jar
Source233: joram-tests-1.1.0.SP17-redhat-1.pom
Source234: artemis-maven-plugin-1.1.0.SP17-redhat-1-sources.jar
Source235: artemis-maven-plugin-1.1.0.SP17-redhat-1.pom
Source236: artemis-maven-plugin-1.1.0.SP17-redhat-1.jar
Source237: artemis-maven-plugin-1.1.0.SP17-redhat-1-javadoc.jar
Source238: artemis-spring-integration-1.1.0.SP17-redhat-1.pom
Source239: artemis-spring-integration-1.1.0.SP17-redhat-1.jar
Source240: artemis-spring-integration-1.1.0.SP17-redhat-1-sources.jar
Source241: artemis-spring-integration-1.1.0.SP17-redhat-1-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://apache.org/activemq
Provides:       %{?scl_prefix}artemis = %{epoch}:%{version}-%{release}
#Requires:       %{?scl_prefix}activemq-artemis-amqp-protocol = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-hornetq-protocol = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-hqclient-protocol = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-selector = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-server = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-service-extensions = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-cli = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-commons = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-dto = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-journal = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-core-client = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-jms-server = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-jms-client = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-native = %{epoch}:%{version}-%{release}
#Requires:       %{?scl_prefix}activemq-artemis-proton-plug = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-ra = %{epoch}:%{version}-%{release}
#Requires:       %{?scl_prefix}activemq-artemis-stomp-protocol = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-amqp-protocol
Summary:        artemis-amqp-protocol
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-amqp-protocol = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-jms-client = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-core-client = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-commons = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-server = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-proton-plug = %{epoch}:%{version}-%{release}
# XXX: 0.9.1
Requires:       %{?scl_prefix_eap}proton-j >= 0:0.8.0
# XXX: 0.9.1
Requires:       %{?scl_prefix_eap}proton-jms >= 0:0.8.0

%description -n %{?scl_prefix}activemq-artemis-amqp-protocol
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-stomp-protocol
Summary:        artemis-stomp-protocol
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-stomp-protocol = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-server = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-stomp-protocol
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-proton-plug
Summary:        artemis-proton-plug
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-proton-plug = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-jms-client = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-core-client = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-server = %{epoch}:%{version}-%{release}
# XXX: 0.9.1
Requires:       %{?scl_prefix_eap}proton-j >= 0:0.8.0

%description -n %{?scl_prefix}activemq-artemis-proton-plug
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-hornetq-protocol
Summary:        artemis-hornetq-protocol
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-hornetq-protocol = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-server = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-hornetq-protocol
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-hqclient-protocol
Summary:        artemis-hqclient-protocol
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-hqclient-protocol = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-server = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-hqclient-protocol
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-cli
Summary:        ActiveMQ Artemis CLI
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-cli = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-server = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-jms-server = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-dto = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-cli
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-commons
Summary:        ActiveMQ Artemis Commons
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-commons = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}netty-all >= 0:4.0.20.Final
Requires:       %{?scl_prefix_eap}commons-beanutils >= 0:1.9.2

%description -n %{?scl_prefix}activemq-artemis-commons
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-dto
Summary:        ActiveMQ Artemis DTO
Group:          Development/Java

Provides:       %{?scl_prefix}activemq-artemis-dto = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-commons = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-dto
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-selector
Summary:        ActiveMQ Artemis Selector Implementation
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-selector = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-selector
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-core-client
Summary:        ActiveMQ Artemis Core Client
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-core-client = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}jgroups >= 0:3.6.0.Final
Requires:       %{?scl_prefix}activemq-artemis-commons = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-selector = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-journal = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}netty-all >= 0:4.0.20.Final

%description -n %{?scl_prefix}activemq-artemis-core-client
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-server
Summary:        ActiveMQ Artemis Server
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-server = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-commons = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-journal = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-core-client = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}netty-all >= 0:4.0.20.Final

%description -n %{?scl_prefix}activemq-artemis-server
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-jms-client
Summary:        ActiveMQ Artemis JMS Client
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-jms-client = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-core-client = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}javax.inject >= 0:1

%description -n %{?scl_prefix}activemq-artemis-jms-client
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-jms-server
Summary:        ActiveMQ Artemis JMS Server
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-jms-server = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-core-client = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-jms-client = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-server = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-service-extensions = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-jms-server
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-native
Summary:        ActiveMQ Artemis Native POM
Group:          Development/Java

# XXX: artemis-native
Provides:       %{?scl_prefix}artemis-native-jar = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-commons = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-native
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-journal
Summary:        ActiveMQ Artemis Journal
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-journal = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-commons = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-native = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-journal
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-ra
Summary:        ActiveMQ Artemis RAR POM
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-ra = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-service-extensions = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-ra
%{summary}.

%package -n %{?scl_prefix}activemq-artemis-service-extensions
Summary:        ActiveMQ Artemis Service Extensions
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-service-extensions = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-core-client = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-jms-client = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}activemq-artemis-commons = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}activemq-artemis-service-extensions
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for artemis
Group:          Development/Java

Provides:       %{?scl_prefix}artemis-javadoc = %{epoch}:%{version}-%{release}
BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n activemq-artemis -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/artemis-amqp-protocol-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-amqp-protocol-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-amqp-protocol-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-amqp-protocol-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-amqp-protocol-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-amqp-protocol-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-stomp-protocol-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-stomp-protocol-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-stomp-protocol-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-stomp-protocol-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-stomp-protocol-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-stomp-protocol-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-proton-plug-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-proton-plug-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-proton-plug-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-proton-plug-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-proton-plug-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-proton-plug-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-hornetq-protocol-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-hornetq-protocol-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-hornetq-protocol-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-hornetq-protocol-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-hornetq-protocol-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-hornetq-protocol-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-hqclient-protocol-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-hqclient-protocol-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-hqclient-protocol-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-hqclient-protocol-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-hqclient-protocol-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-hqclient-protocol-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-cli-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-cli-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-cli-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-cli-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-cli-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-cli-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-commons-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-commons-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-commons-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-commons-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-commons-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-commons-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-dto-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-dto-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-dto-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-dto-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-dto-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-dto-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-selector-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-selector-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-selector-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-selector-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-selector-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-selector-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-core-client-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-core-client-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-core-client-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-core-client-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-core-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-core-client-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-server-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-server-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-server-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-server-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-server-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-server-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-jms-client-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-jms-client-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-jms-client-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-jms-client-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-jms-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-jms-client-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-jms-server-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-jms-server-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-jms-server-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-jms-server-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-jms-server-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-jms-server-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-native-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-native-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-native-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-native-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-native-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-native-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-journal-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-journal-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-journal-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-journal-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-journal-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-journal-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-ra-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-ra-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-ra-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-ra-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-ra-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-ra-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/artemis-service-extensions-%{namedversion}.jar %{buildroot}%{_javadir}/artemis-service-extensions-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/artemis-service-extensions-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/artemis-service-extensions-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/artemis-service-extensions-%{namedversion}-sources.jar %{buildroot}%{_javadir}/artemis-service-extensions-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/activemq-artemis-%{namedversion}
unzip -qq %{_sourcedir}/artemis-pom-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/activemq-artemis-%{namedversion} -x META-INF/\*
%{__ln_s} extra-tests-%{namedversion} %{buildroot}%{_javadocdir}/activemq-artemis
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}activemq-artemis
%defattr(0644,root,root,0755)
%doc NOTICE README.md RELEASING.md

%files -n %{?scl_prefix}activemq-artemis-amqp-protocol
%defattr(0644,root,root,0755)
%{_javadir}/artemis-amqp-protocol-%{namedversion}.jar
%{_javadir}/artemis-amqp-protocol.jar
%if %with javadoc
%{_javadir}/artemis-amqp-protocol-%{namedversion}-javadoc.jar
%{_javadir}/artemis-amqp-protocol-javadoc.jar
%endif
%{_javadir}/artemis-amqp-protocol-%{namedversion}-sources.jar
%{_javadir}/artemis-amqp-protocol-sources.jar

%files -n %{?scl_prefix}activemq-artemis-stomp-protocol
%defattr(0644,root,root,0755)
%{_javadir}/artemis-stomp-protocol-%{namedversion}.jar
%{_javadir}/artemis-stomp-protocol.jar
%if %with javadoc
%{_javadir}/artemis-stomp-protocol-%{namedversion}-javadoc.jar
%{_javadir}/artemis-stomp-protocol-javadoc.jar
%endif
%{_javadir}/artemis-stomp-protocol-%{namedversion}-sources.jar
%{_javadir}/artemis-stomp-protocol-sources.jar

%files -n %{?scl_prefix}activemq-artemis-proton-plug
%defattr(0644,root,root,0755)
%{_javadir}/artemis-proton-plug-%{namedversion}.jar
%{_javadir}/artemis-proton-plug.jar
%if %with javadoc
%{_javadir}/artemis-proton-plug-%{namedversion}-javadoc.jar
%{_javadir}/artemis-proton-plug-javadoc.jar
%endif
%{_javadir}/artemis-proton-plug-%{namedversion}-sources.jar
%{_javadir}/artemis-proton-plug-sources.jar

%files -n %{?scl_prefix}activemq-artemis-hornetq-protocol
%defattr(0644,root,root,0755)
%{_javadir}/artemis-hornetq-protocol-%{namedversion}.jar
%{_javadir}/artemis-hornetq-protocol.jar
%if %with javadoc
%{_javadir}/artemis-hornetq-protocol-%{namedversion}-javadoc.jar
%{_javadir}/artemis-hornetq-protocol-javadoc.jar
%endif
%{_javadir}/artemis-hornetq-protocol-%{namedversion}-sources.jar
%{_javadir}/artemis-hornetq-protocol-sources.jar

%files -n %{?scl_prefix}activemq-artemis-hqclient-protocol
%defattr(0644,root,root,0755)
%{_javadir}/artemis-hqclient-protocol-%{namedversion}.jar
%{_javadir}/artemis-hqclient-protocol.jar
%if %with javadoc
%{_javadir}/artemis-hqclient-protocol-%{namedversion}-javadoc.jar
%{_javadir}/artemis-hqclient-protocol-javadoc.jar
%endif
%{_javadir}/artemis-hqclient-protocol-%{namedversion}-sources.jar
%{_javadir}/artemis-hqclient-protocol-sources.jar

%files -n %{?scl_prefix}activemq-artemis-cli
%defattr(0644,root,root,0755)
%{_javadir}/artemis-cli-%{namedversion}.jar
%{_javadir}/artemis-cli.jar
%if %with javadoc
%{_javadir}/artemis-cli-%{namedversion}-javadoc.jar
%{_javadir}/artemis-cli-javadoc.jar
%endif
%{_javadir}/artemis-cli-%{namedversion}-sources.jar
%{_javadir}/artemis-cli-sources.jar

%files -n %{?scl_prefix}activemq-artemis-commons
%defattr(0644,root,root,0755)
%{_javadir}/artemis-commons-%{namedversion}.jar
%{_javadir}/artemis-commons.jar
%if %with javadoc
%{_javadir}/artemis-commons-%{namedversion}-javadoc.jar
%{_javadir}/artemis-commons-javadoc.jar
%endif
%{_javadir}/artemis-commons-%{namedversion}-sources.jar
%{_javadir}/artemis-commons-sources.jar

%files -n %{?scl_prefix}activemq-artemis-dto
%defattr(0644,root,root,0755)
%{_javadir}/artemis-dto-%{namedversion}.jar
%{_javadir}/artemis-dto.jar
%if %with javadoc
%{_javadir}/artemis-dto-%{namedversion}-javadoc.jar
%{_javadir}/artemis-dto-javadoc.jar
%endif
%{_javadir}/artemis-dto-%{namedversion}-sources.jar
%{_javadir}/artemis-dto-sources.jar

%files -n %{?scl_prefix}activemq-artemis-selector
%defattr(0644,root,root,0755)
%{_javadir}/artemis-selector-%{namedversion}.jar
%{_javadir}/artemis-selector.jar
%if %with javadoc
%{_javadir}/artemis-selector-%{namedversion}-javadoc.jar
%{_javadir}/artemis-selector-javadoc.jar
%endif
%{_javadir}/artemis-selector-%{namedversion}-sources.jar
%{_javadir}/artemis-selector-sources.jar

%files -n %{?scl_prefix}activemq-artemis-core-client
%defattr(0644,root,root,0755)
%{_javadir}/artemis-core-client-%{namedversion}.jar
%{_javadir}/artemis-core-client.jar
%if %with javadoc
%{_javadir}/artemis-core-client-%{namedversion}-javadoc.jar
%{_javadir}/artemis-core-client-javadoc.jar
%endif
%{_javadir}/artemis-core-client-%{namedversion}-sources.jar
%{_javadir}/artemis-core-client-sources.jar

%files -n %{?scl_prefix}activemq-artemis-server
%defattr(0644,root,root,0755)
%{_javadir}/artemis-server-%{namedversion}.jar
%{_javadir}/artemis-server.jar
%if %with javadoc
%{_javadir}/artemis-server-%{namedversion}-javadoc.jar
%{_javadir}/artemis-server-javadoc.jar
%endif
%{_javadir}/artemis-server-%{namedversion}-sources.jar
%{_javadir}/artemis-server-sources.jar

%files -n %{?scl_prefix}activemq-artemis-jms-client
%defattr(0644,root,root,0755)
%{_javadir}/artemis-jms-client-%{namedversion}.jar
%{_javadir}/artemis-jms-client.jar
%if %with javadoc
%{_javadir}/artemis-jms-client-%{namedversion}-javadoc.jar
%{_javadir}/artemis-jms-client-javadoc.jar
%endif
%{_javadir}/artemis-jms-client-%{namedversion}-sources.jar
%{_javadir}/artemis-jms-client-sources.jar

%files -n %{?scl_prefix}activemq-artemis-jms-server
%defattr(0644,root,root,0755)
%{_javadir}/artemis-jms-server-%{namedversion}.jar
%{_javadir}/artemis-jms-server.jar
%if %with javadoc
%{_javadir}/artemis-jms-server-%{namedversion}-javadoc.jar
%{_javadir}/artemis-jms-server-javadoc.jar
%endif
%{_javadir}/artemis-jms-server-%{namedversion}-sources.jar
%{_javadir}/artemis-jms-server-sources.jar

%files -n %{?scl_prefix}activemq-artemis-native
%defattr(0644,root,root,0755)
%{_javadir}/artemis-native-%{namedversion}.jar
%{_javadir}/artemis-native.jar
%if %with javadoc
%{_javadir}/artemis-native-%{namedversion}-javadoc.jar
%{_javadir}/artemis-native-javadoc.jar
%endif
%{_javadir}/artemis-native-%{namedversion}-sources.jar
%{_javadir}/artemis-native-sources.jar

%files -n %{?scl_prefix}activemq-artemis-journal
%defattr(0644,root,root,0755)
%{_javadir}/artemis-journal-%{namedversion}.jar
%{_javadir}/artemis-journal.jar
%if %with javadoc
%{_javadir}/artemis-journal-%{namedversion}-javadoc.jar
%{_javadir}/artemis-journal-javadoc.jar
%endif
%{_javadir}/artemis-journal-%{namedversion}-sources.jar
%{_javadir}/artemis-journal-sources.jar

%files -n %{?scl_prefix}activemq-artemis-ra
%defattr(0644,root,root,0755)
%{_javadir}/artemis-ra-%{namedversion}.jar
%{_javadir}/artemis-ra.jar
%if %with javadoc
%{_javadir}/artemis-ra-%{namedversion}-javadoc.jar
%{_javadir}/artemis-ra-javadoc.jar
%endif
%{_javadir}/artemis-ra-%{namedversion}-sources.jar
%{_javadir}/artemis-ra-sources.jar

%files -n %{?scl_prefix}activemq-artemis-service-extensions
%defattr(0644,root,root,0755)
%{_javadir}/artemis-service-extensions-%{namedversion}.jar
%{_javadir}/artemis-service-extensions.jar
%if %with javadoc
%{_javadir}/artemis-service-extensions-%{namedversion}-javadoc.jar
%{_javadir}/artemis-service-extensions-javadoc.jar
%endif
%{_javadir}/artemis-service-extensions-%{namedversion}-sources.jar
%{_javadir}/artemis-service-extensions-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/activemq-artemis-%{namedversion}
%{_javadocdir}/activemq-artemis
%endif

%changelog
* Wed May 25 2016 Petr Sakar <psakar@redhat.com> - 1.1.0-14.SP17_redhat_1.1
- Upgrade to 1.1.0.SP17-redhat-1

* Mon Apr 18 2016 Petr Sakar <psakar@redhat.com> - 1.1.0-13.SP16_redhat_1.1
- upgrade to 1.1.0.SP16-redhat-1

* Fri Apr 08 2016 Petr Sakar <psakar@redhat.com> - 1.1.0-12.SP15_redhat_1.1
- upgrade to 1.1.0.SP15-redhat-1

* Wed Mar 16 2016 Petr Sakar <psakar@redhat.com> - 1.1.0-11.SP14_redhat_1.1
- upgrade to 1.1.0.SP14-redhat-1

* Tue Feb 23 2016 Petr Sakar <psakar@redhat.com> - 1.1.0-10.SP13_redhat_1.1
- upgrade to 1.1.0.SP13-redhat-1

* Thu Feb 04 2016 David Walluck <dwalluck@redhat.com> - 1.1.0-9.redhat_7.1
- fix %%setup macro call

* Tue Feb 02 2016 Petr Sakar <psakar@redhat.com> - 1.1.0-9.redhat_7.1
- Upgrade to 1.1.0.redhat-7

* Thu Jan 28 2016 Petr Sakar <psakar@redhat.com> - 1.1.0-8.redhat_6.1
- Upgrade to 1.1.0.redhat-6

* Tue Jan 05 2016 Petr Sakar <psakar@redhat.com> - 1.1.0-7.redhat_5.1
- Upgrade to 1.1.0.redhat-5

* Thu Dec 10 2015 Petr Sakar <psakar@redhat.com> - 1.1.0-6.redhat_4.1
- Upgrade to 1.1.0.redhat-4
  JBEAP-2112

* Mon Dec 07 2015 Permaine Cheung <pcheung@redhat.com> - 1.1.0-5.redhat_3.1
- Remove R: amqp-protocol, proton-plug and stomp-protocol as they 
  are no longer in EAP7 ER2

* Mon Dec 07 2015 Petr Sakar <psakar@redhat.com> - 1.1.0-4.redhat_3.1
- Upgrade to 1.1.0.redhat-3

* Mon Nov 23 2015 Permaine Cheung <pcheung@redhat.com> - 1.1.0-3.redhat_2.1
- Add eap7-activemq-artemis-hqclient-protocol subpackage (new in CR1)

* Tue Nov 03 2015 David Walluck <dwalluck@redhat.com> - 1.1.0-2.redhat_2.1
- sync with version 1.1.0.wildfly-008

* Wed Oct 21 2015 David Walluck <dwalluck@redhat.com> - 1.1.0-1.redhat_1.1
- 1.1.0.wildfly.007

* Mon Aug 17 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-9.redhat_2.1
- fix Requires

* Mon Aug 17 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-7.redhat_2.1
- rename all packages to activemq-artemis-

* Wed Aug 12 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-6.redhat_2.1
- add cli and dto packages

* Mon Jul 13 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-5.redhat_2.1
- fix Requires

* Fri Jul 10 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-4.redhat_2.1
- update Requires

* Fri Jul 10 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-3.redhat_2.1
- fix Requires

* Fri Jul 10 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-2.redhat_2.1
- build and deploy tests

* Thu Jul 09 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-1.redhat_1.1
- release
